Changes to puppetmaster field in hostgroup not propagating to hosts

01/09/2015 07:17 AM - Adam Winberg

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Was trying to get puppetrun via mcollective to work and realized that we had not populated the puppetmaster field for any of our

hosts. All our hosts belong to host groups so I thought it would be a quick fix just to set the puppetmaster parameter in the relevant

hostgroups, but this has no effect on the hosts belonging to the group.

Is this a bug or expected behaviour?

Related issues:

Is duplicate of Foreman - Feature #2436: Ability to update Puppet CA and Pupp... New 04/29/2013

History

#1 - 01/09/2015 07:23 AM - Dominic Cleal

- Is duplicate of Feature #2436: Ability to update Puppet CA and Puppet Master for multiple hosts added

#2 - 01/09/2015 07:24 AM - Dominic Cleal

- Status changed from New to Duplicate

It's expected behaviour, somewhat unfortunately.  Host groups act as templates of sorts for new hosts, so most attributes (with the exception of

Puppet class associations) are copied to the host.

#2436 and other linked issues relate to this.  As a workaround, you may want to use the hammer CLI to update hosts individually (you can do a

hammer host list --search "hostgroup = foo" too).
